KJL - Feature #1832

[TM To PY] Perhitungan Gaji Pokok dan Management Fee Karyawan Monas
11/28/2022 02:26 PM - Mega Yunita

Status: Closed Start date: 11/28/2022
Priority: Urgent Due date: 11/30/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yoma,

Mohon bantuannya untuk membuatkan function TM to Payroll untuk Perhitungan Gaji dan Management Fee Karyawan Monas, yaitu

1. Nama Wage Type

- Gaji Pokok (Direct) dengan kode wt 1010

- Management Fee dengan kode wt 4040

3. Pada table PHRPYTMTOPY, saya sudah membuat :
- Figure C_JumlahKetidakHadiran, AdditionalField5

- Figure C_PotonganGapok, AdditionalField6

- Figure C_ManagementFee, AdditionalField7

4. Pada table PHRPYTMTOPYVAR
- Variant 0003 (Perhitungan Gaji Karyawan Monas)

Dengan kondisi :

- Gaji karyawan monas * Jika lebih dari 25 hari maka gaji tetap, jika kurang dari 25 hari maka akan
di potong 1/25 x gapok per hari nya.

e Management fee juga di potong sesuai kehadiran.
¢ Semua ketidak hadiran karean Cuti, ijin, sakit, tanpa keteranagn, dll akan mengurangi/memotong.
- Perhitungannya ==> 25 - jumalah kehadiran x 1/25 x gapok

Port : http:/remote.minovais.com:31138/

Server : remote.minovais.com, 1442\MSSQLSERVER2014

DB : MinovaES_KJL

Menu : HR > Payroll Administration > Payroll Data > Reguler Payroll
Semoga dapat dimengerti

Terimakasih

History

#1 - 11/28/2022 02:26 PM - Mega Yunita

- Subject changed from [TM To PY] Perhitungan Gaji Pokok Karyawan Monas to [TM To PY] Perhitungan Gaji Pokok dan Management Fee Karyawan
Monas

#2 - 11/28/2022 02:26 PM - Mega Yunita

- Description updated

#3 - 11/28/2022 02:29 PM - Mega Yunita

- Description updated

#4 - 11/28/2022 02:36 PM - Mega Yunita

- Description updated

#5 - 11/28/2022 04:11 PM - Mega Yunita

- Tracker changed from Bug to Feature
http://remote.minovais.com:31138/

#6 - 11/30/2022 02:59 PM - Mega Yunita

Sudah saya ganti sesuai dengan instruksi, yaitu :

Pada table PHRPYTMTOPY, saya sudah membuat :

- Figure C_JumlahKetidakHadiran, dengan variant 001, AdditionalField1

- Figure C_ManagementFee, dengan variant 001, AdditionalField2
- Figure C_PotonganGapok, dengan variant 001, AdditionalField3

#7 - 11/30/2022 04:21 PM - Mega Yunita

Setting TM to PY :

- PHRPYTMTOPY

- PHRPYTMTOPYVAR

- SDATATABLEFIELD > PHRPYTRO0800 (Ubah Data Ref)

- SDATAFIELDREFTXT

- Buat WT Potongan di PHRPYCU0300,PHRPYCU0308, PHRPYWTRCPDETAIL
- Daftarkan di PCMEPMDCONSUB, untuk PHRPA0005

#8 - 12/01/2022 02:56 PM - Tri Rizqiaty

- File CKUILTMTOPYGETABSENCE.sql added

- File PDSTMTOPYVALEMPRUNEXIS.sql added

- File PDSTMTOPYVALEMPSAVEMDEXIST.sql added

- File TMTOPY .xIsx added

- File MinovalS.MinovaES.Business. TM.dll added

- File MinovalS.MinovaES.Implementation.KJL.Business. TMToPYVar1.dll added

- Status changed from Assigned to Developing

Fixing :

1. Update API1\bin & API2\bin : MinovalS.MinovaES.Implementation.KJL.Business. TMToPYVar1.dll & MinovalS.MinovaES.Business. TM.dll

2. Update execute SP terlampir
3. Update table sesuai excel terlampir

#9 - 12/01/2022 02:56 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to Mega Yunita

#10 - 12/06/2022 03:29 PM - Mega Yunita
- Status changed from QA Test to Closed

Files

CKILTMTOPYGETABSENCE.sq| 1019 Bytes 12/01/2022 Tri Rizqiaty
PDSTMTOPYVALEMPRUNEXIS.sql 3.95 KB 12/01/2022 Tri Rizqiaty
PDSTMTOPYVALEMPSAVEMDEXIST.sql 2.62 KB 12/01/2022 Tri Rizqiaty
TMTOPY .xIsx 12.1 KB 12/01/2022 Tri Rizqgiaty
MinovalS.MinovaES.Implementation.KJL.Business.TMToPYVari.dll 9.5 KB 12/01/2022 Tri Rizgiaty
MinovalS.MinovaES.Business. TM.dII 82 KB 12/01/2022 Tri Rizgiaty

03/14/2025 2/2


http://www.tcpdf.org

